## s3d 0.2.2

=== CMakeLists.txt ===
project(s3d C)
set(VERSION 0.2.2)

# we require cmake 2.6.3 or higher
cmake_minimum_required(VERSION 2.6.3)

# set cmake policies
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# Add directory with library checks to search path
list(APPEND CMAKE_MODULE_PATH "${s3d_SOURCE_DIR}/cmake/modules")

include(S3DInternals)

# set path to objects
set(OBJECTPATH "${S3D_DATA_INSTALL_DIR}")
STRING(TOUPPER "${CMAKE_BUILD_TYPE}" BUILD_TYPE)
if (NOT BUILD_TYPE MATCHES "REL(WITHDEBINFO|EASE)")
	set(OBJECTPATH "${OBJECTPATH}:${s3d_SOURCE_DIR}/objs")
endif (NOT BUILD_TYPE MATCHES "REL(WITHDEBINFO|EASE)")

# set debug level with -DDEBUG=level
include(SetDebugLevel)

# Enable profiling support with -DPROFILING
include(EnableProfiling)

# Set some compiler flags
include(SetCCWarnFlags)

# Enable C9X if possible
# disabled because s3d uses c9x features but doesnt compile with it
#include(SetC9X)

# Run configure stuff
include(ConfigureChecks.cmake)

add_subdirectory(libs3d)
add_subdirectory(libs3dw)
add_subdirectory(apps)
add_subdirectory(cmake)
add_subdirectory(Documentation)
add_subdirectory(example)
add_subdirectory(objs)
add_subdirectory(server)

file(GLOB INCLUDE_EXPERIMENTAL experimental)
if (INCLUDE_EXPERIMENTAL)
	add_subdirectory(experimental)
endif (INCLUDE_EXPERIMENTAL)

# Generate s3drc
configure_file(s3drc.cmake "${s3d_BINARY_DIR}/s3drc")
install(PROGRAMS "${s3d_BINARY_DIR}/s3drc" DESTINATION "${CFG_INSTALL_DIR}")

=== Documentation/CMakeLists.txt ===
add_subdirectory(libs3d)
add_subdirectory(libs3dw)
add_subdirectory(server)

project(Documentation C)

if (DOCBOOK2HTML_COMPILER)
	add_custom_command(
		OUTPUT  ${Documentation_BINARY_DIR}/doc_output/index.html
		COMMAND ${DOCBOOK2HTML_COMPILER}
		ARGS    ${DOCBOOK2HTML_ARGS} ${Documentation_SOURCE_DIR}/s3d.docbook -o ${Documentation_BINARY_DIR}/doc_output
		DEPENDS ${Documentation_SOURCE_DIR}/s3d.docbook
			${Documentation_SOURCE_DIR}/bookinfo.docbook
			${Documentation_SOURCE_DIR}/server/server.docbook
			${Documentation_SOURCE_DIR}/libs3dw/libs3dw.docbook
			${Documentation_SOURCE_DIR}/libs3dw/functions.docbook
			${Documentation_SOURCE_DIR}/libs3dw/structs.docbook
			${Documentation_SOURCE_DIR}/libs3dw/typedefs.docbook
			${Documentation_SOURCE_DIR}/libs3d/libs3d.docbook
			${Documentation_SOURCE_DIR}/libs3d/functions.docbook
			${Documentation_SOURCE_DIR}/libs3d/structs.docbook
			${Documentation_SOURCE_DIR}/libs3d/typedefs.docbook
		COMMENT "Build s3d documentation"
	)

	add_custom_target(documentation ALL echo
		DEPENDS   ${Documentation_BINARY_DIR}/doc_output/index.html
	)

	# install
	install(CODE "file(GLOB DOCS ${Documentation_BINARY_DIR}/doc_output/*)\n foreach(file \${DOCS}) \n file(INSTALL DESTINATION \"${HTML_INSTALL_DIR}\" TYPE FILE FILES \"\${file}\") \n endforeach (file \"\${DOCS}\")")
else (DOCBOOK2HTML_COMPILER)
	PkgStatus_Later("xmlto (pkg name: xmlto)")

	# print late status
	Collected_PkgStatus("documentation")
endif (DOCBOOK2HTML_COMPILER)

add_subdirectory(manpages)

=== apps/CMakeLists.txt ===
add_subdirectory(dot_mcp)
add_subdirectory(kism3d)
add_subdirectory(meshs3d)
add_subdirectory(s3dfm)
add_subdirectory(s3dosm)
add_subdirectory(s3dvt)
add_subdirectory(s3d_x11gate)

=== example/CMakeLists.txt ===
# add option for enabling/disabling profiling
option(EXAMPLES "Enable/disable compilation of examples" ON)

if (EXAMPLES)
	include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)

	s3d_add_executable(filebrowser filebrowser.c)
	target_link_libraries(filebrowser s3d ${MATH_LIBRARIES})

	s3d_add_executable(hudtest hudtest.c)
	target_link_libraries(hudtest s3d ${MATH_LIBRARIES})

	s3d_add_executable(katze katze.c)
	target_link_libraries(katze s3d ${MATH_LIBRARIES})

	s3d_add_executable(linetest linetest.c)
	target_link_libraries(linetest s3d ${MATH_LIBRARIES})

	s3d_add_executable(modelloader modelloader.c)
	target_link_libraries(modelloader s3d ${MATH_LIBRARIES})

	s3d_add_executable(nichtsnutz nichtsnutz.c)
	target_link_libraries(nichtsnutz s3d ${MATH_LIBRARIES})

	s3d_add_executable(ptrtest ptrtest.c)
	target_link_libraries(ptrtest s3d ${MATH_LIBRARIES})

	s3d_add_executable(radius_test radius_test.c)
	target_link_libraries(radius_test s3d ${MATH_LIBRARIES})

	s3d_add_executable(s3dclock s3dclock.c)
	target_link_libraries(s3dclock s3d ${MATH_LIBRARIES})

	s3d_add_executable(snowman snowman.c)
	target_link_libraries(snowman s3d ${MATH_LIBRARIES})

	s3d_add_executable(strtest strtest.c)
	target_link_libraries(strtest s3d ${MATH_LIBRARIES})

	s3d_add_executable(texturetest texturetest.c)
	target_link_libraries(texturetest s3d ${MATH_LIBRARIES})

	s3d_add_executable(widgets widgets.c)
	target_link_libraries(widgets s3d s3dw ${MATH_LIBRARIES})

	s3d_add_executable(wiresphere wiresphere.c)
	target_link_libraries(wiresphere s3d ${MATH_LIBRARIES})
endif (EXAMPLES)

=== libs3d/CMakeLists.txt ===
include_directories(${s3d_SOURCE_DIR}/server)

set(S3D_LIBRARY_DEPENDENCIES  ${MATH_LIBRARIES} ${G3D_LIBRARIES} ${FONTCONFIG_LIBRARIES} ${FREETYPE_LIBRARIES})

include(FilterPIE)
s3d_add_library(s3d SHARED callback.c endian.c error.c event.c fontselect.c
	freetype.c io.c modelread.c network.c object_queue.c proto_in.c
	proto_out.c sei_construct.c sei_misc.c sei_monotone.c sei_tri.c shm.c
	shm_ringbuf.c tcp.c vector.c hash.c texture.c)
target_link_libraries(s3d ${S3D_LIBRARY_DEPENDENCIES})
set_target_properties(s3d PROPERTIES VERSION ${VERSION} SOVERSION 2
                      LINK_INTERFACE_LIBRARIES "")

# install
install(TARGETS s3d
	RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
	LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
	ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
)

install(FILES s3d.h s3d_keysym.h DESTINATION "${INCLUDE_INSTALL_DIR}")

#pkg config
configure_file(libs3d.pc.cmake ${s3d_BINARY_DIR}/libs3d/libs3d.pc @ONLY)
install(FILES ${s3d_BINARY_DIR}/libs3d/libs3d.pc DESTINATION "${PKGCFG_INSTALL_DIR}")

=== libs3dw/CMakeLists.txt ===
include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)

set(S3DW_LIBRARY_DEPENDENCIES s3d ${MATH_LIBRARIES})

include(FilterPIE)
s3d_add_library(s3dw SHARED animate.c arrange.c button.c event.c input.c
	label.c root.c scrollbar.c style.c surface.c textbox.c widget.c)
target_link_libraries(s3dw ${S3DW_LIBRARY_DEPENDENCIES})
set_target_properties(s3dw PROPERTIES VERSION ${VERSION} SOVERSION 2
                      LINK_INTERFACE_LIBRARIES "")

# install
install(TARGETS s3dw
	RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
	LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
	ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
)

install(FILES s3dw.h DESTINATION "${INCLUDE_INSTALL_DIR}")

#pkg config
configure_file(libs3dw.pc.cmake ${s3d_BINARY_DIR}/libs3dw/libs3dw.pc @ONLY)
install(FILES ${s3d_BINARY_DIR}/libs3dw/libs3dw.pc DESTINATION "${PKGCFG_INSTALL_DIR}")

=== objs/CMakeLists.txt ===
set(s3d-objs abs2.3ds abs.3ds accesspoint.3ds accesspoint_inet.3ds arrow2.3ds
	arrow.3ds big_p.3ds bigsphere.3ds btn_close.3ds btn_maximize.3ds
	btn_minimize.3ds btn_rotate.3ds clock_bg.3ds comp.3ds cube.3ds cubey.3ds
	cubeyholes.3ds dot.3ds dotdot.3ds duno.3ds film.3ds folder.3ds
	geometry.3ds go_button.3ds internet.3ds katze_body.3ds katze_leg.3ds
	katze_tail.3ds lil_p.3ds materials.3ds meshnode.3ds miu.3ds
	new_sphere.3ds notes.3ds reset.3ds ringsystem.3ds rotate.3ds
	s3d_berlios_de.3ds s3dstart.3ds sec_p.3ds snow_body.3ds snow_foot.3ds
	snow_head.3ds sphere.3ds spikeybla.3ds star.3ds weirdball.3ds
	wtf.3ds xyz.3ds)

# install
install(FILES ${s3d-objs} DESTINATION "${DATA_INSTALL_DIR}")

=== server/CMakeLists.txt ===
include_directories(${s3d_SOURCE_DIR}/libs3d)

# base files
set(server_src allocate.c cull.c endian.c error.c event.c graphics.c
	main.c matrix.c mcp.c navigation.c network.c object.c
	process.c proto.c shm.c	shm_ringbuf.c tcp.c user.c)

# files for sdl support
set(server_sdl_src graphics_sdl.c user_sdl.c)

# add sdl files and libs
if (SDL_FOUND)
	list(APPEND server_src ${server_sdl_src})
	list(APPEND server_libs ${SDL_LIBRARY})
endif (SDL_FOUND)

# compile base files + sdl specific parts
s3d_add_executable(server ${server_src})

target_link_libraries(server ${OPENGL_gl_LIBRARY} ${MATH_LIBRARIES} ${server_libs})
set_target_properties(server PROPERTIES OUTPUT_NAME "s3d")

# install
install(TARGETS server RUNTIME DESTINATION "${BIN_INSTALL_DIR}")

=== Documentation/manpages/CMakeLists.txt ===
file(GLOB man1 "${Documentation_SOURCE_DIR}/manpages/man1/*.1")
install(FILES ${man1} DESTINATION "${MAN_INSTALL_DIR}/man1")
file(GLOB man3 "${Documentation_SOURCE_DIR}/manpages/man3/*.3")
install(FILES ${man3} DESTINATION "${MAN_INSTALL_DIR}/man3")
file(GLOB man9 "${Documentation_SOURCE_DIR}/manpages/man9/*.9")
install(FILES ${man9} DESTINATION "${MAN_INSTALL_DIR}/man9")

=== apps/dot_mcp/CMakeLists.txt ===
project(dot_mcp C)

include_directories(${s3d_SOURCE_DIR}/libs3d)

s3d_add_executable(dot_mcp main.c menu.c)
target_link_libraries(dot_mcp s3d ${MATH_LIBRARIES})

# install
install(TARGETS dot_mcp RUNTIME DESTINATION "${BIN_INSTALL_DIR}")

=== apps/kism3d/CMakeLists.txt ===
project(kism3d C)

if (PTHREADS_FOUND)
	include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)

	s3d_add_executable(kism3d client.c gui.c kism3d.c network.c)
	target_link_libraries(kism3d s3d s3dw ${PTHREADS_LIBRARIES}
	                      ${MATH_LIBRARIES})

	# install
	install(TARGETS kism3d RUNTIME DESTINATION "${BIN_INSTALL_DIR}")
else (PTHREADS_FOUND)
	PkgStatus_Later("pthreads")

	# print late status
	Collected_PkgStatus("kism3d")
endif (PTHREADS_FOUND)

=== apps/meshs3d/CMakeLists.txt ===
project(meshs3d C)

include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)

s3d_add_executable(meshs3d hash.c main.c net.c process.c)
target_link_libraries(meshs3d s3d s3dw ${MATH_LIBRARIES})

# install
install(TARGETS meshs3d RUNTIME DESTINATION "${BIN_INSTALL_DIR}")

=== debian/changelog ===
s3d (0.2.2-8) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Upgrade debhelper compat to v9
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Sat, 28 Apr 2012 13:16:52 +0200

s3d (0.2.2-7) unstable; urgency=low

  * Install missing man page mcp_object(9) through s3d-doc
  * debian/patches:
    - Add s3dosm_libgps_api5.patch, Add support for libgps API 5
      (Closes: #648497)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 12:51:52 +0100

s3d (0.2.2-6) unstable; urgency=low

  * Add optional and required dependencies to -dev packages
  * Mark all targets in debian/rules as phony
  * Update URLs to new upstream home at sourceforge.net
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 11:35:02 +0100

s3d (0.2.2-5) unstable; urgency=low

  * Build-Depend on cmake >= 2.8.4+dfsg.1-5 to fix FTBFS on armel and
    kfreebsd-*

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 22:55:57 +0200

s3d (0.2.2-4) unstable; urgency=low

  * debian/patches:
    - Add meshs3d_tt.patch, Add support for TT instead of HNA
  * Convert libs3d(w)2 to multiarch (Closes: #623767)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:54:46 +0200

s3d (0.2.2-3) unstable; urgency=low

  * Build against libsdl1.2-dev instead of libsdl-1.2-dev (Closes:
    #625640)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 May 2011 20:56:58 +0200

s3d (0.2.2-2) unstable; urgency=low

  * Don't install application manpages through s3d-doc (Closes: #625489)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 03 May 2011 22:13:04 +0200

s3d (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #534628)
  * Upgraded to policy 3.9.2, no changes required
  * debian/patches:
    - Remove upstream merged filter_pie.patch, libgps_2_90.patch,
      libs3d_small-infinity.patch, s3dfm_overflow.patch,
      s3dvt_glibc-pty.patch, version_number.patch
    - Rebase installable-examples.patch
  * Replace manpages with versions generated during build of upstream
    sources
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 May 2011 13:36:26 +0200

s3d (0.2.1.1-7) unstable; urgency=low

  * Upload to unstable
  * Updated my maintainer e-mail address
  * Keep dependencies on separate lines in debian/control
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 12:30:01 +0100

s3d (0.2.1.1-6) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * set *FLAGS using dpkg-buildflags in debian/rules to work like
    dpkg-buildpackage when called directly
  * Use hardening-includes for CFLAGS and LDFLAGS hardened builds
  * Add full BSD-3 license to debian/copyright
  * debian/patches:
    - Add filter_pie.patch, Filter -fPIE and -pie for libs3d(w)
  * Explicit depend build depend on pkg-config

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:39:58 +0200

=== debian/control ===
Source: s3d
Section: net
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
Dm-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://s3d.sourceforge.net/
Vcs-Browser: https://sourceforge.net/p/s3d/code/
Vcs-Git: git://git.code.sf.net/p/s3d/code
Build-Depends:
 cmake (>= 2.8.4+dfsg.1-5),
 debhelper (>= 9.20120417),
 dpkg-dev (>= 1.16.1.1),
 libfontconfig-dev,
 libfreetype6-dev,
 libg3d-dev (>= 0.0.7),
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-dev,
 libgps-dev (>= 2.90),
 libsdl1.2-dev | libsdl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libxtst-dev,
 pkg-config,
Build-Depends-Indep:
 docbook-xml (>= 4.5),
 xmlto,

Package: s3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dotmcp (= ${binary:Version}),
Description: 3d network display server
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the display server.

Package: s3d-dbg
Section: debug
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libs3d2 (= ${binary:Version})
 | libs3dw2 (= ${binary:Version})
 | s3d (= ${binary:Version})
 | s3dvt (= ${binary:Version})
 | s3dfm (= ${binary:Version})
 | dotmcp (= ${binary:Version})
 | s3dx11gate (= ${binary:Version})
 | meshs3d (= ${binary:Version})
 | s3dosm (= ${binary:Version})
 | kism3d (= ${binary:Version})
Description: 3d network display server (debug files)
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains the debug files.

Package: libs3d2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the library for communication with the display server.

Package: libs3d-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libs3d2 (= ${binary:Version}),
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Suggests:
 libfreetype6-dev,
 libfontconfig-dev,
 libg3d-dev,
Description: 3d network display server library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for building your own s3d programs.

Package: libs3dw2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server widget library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the widget library.

Package: libs3dw-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libs3d-dev (= ${binary:Version}),
 libs3dw2 (= ${binary:Version}),
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Description: 3d network display server widget library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for using widgets in your s3d programs.

Package: s3d-data
Architecture: all
Depends:
 ${misc:Depends},
Description: 3d network display server data files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains arch-independent files.

Package: s3d-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: Documentation for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides documentation for s3d.

Package: dotmcp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Recommends:
 meshs3d (= ${binary:Version}),
 s3dfm (= ${binary:Version}),
 s3dvt (= ${binary:Version}),
 s3dx11gate (= ${binary:Version}),
Description: mcp for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a mcp for s3d.

Package: kism3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: 802.11 visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 802.11 visualizer for s3d.

Package: meshs3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: OLSR/B.A.T.M.A.N. topology visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a OLSR/B.A.T.M.A.N. topology visualizer for s3d.

Package: s3dfm
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: s3d file manager
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a file manager for s3d.

Package: s3dosm
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: gps card application for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a gps card application for s3d.

Package: s3dvt
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bash (>= 2.0),
Description: 3d terminal emulator for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d terminal emulator for s3d.

Package: s3dx11gate
Section: x11
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d gateway for x11 desktops
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d gateway for x11 desktops.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

CMAKE_EXTRA_FLAGS := -DBUILD_EXPERIMENTAL:BOOL=OFF
CMAKE_EXTRA_FLAGS += -DENABLE_FINAL:BOOL=ON
CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DLIB_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/"
CMAKE_EXTRA_FLAGS += -DPKGCFG_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installdocs:
	dh_installdocs -A README Documentation/RelNotes*

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_configure override_dh_strip override_dh_installdocs

=== debian/watch ===
version=3

http://sf.net/s3d/s3d-(.*).tar.gz

## s3d 0.2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
-project(s3d C)
-set(VERSION 0.2.2)
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
 
-# we require cmake 2.6.3 or higher
-cmake_minimum_required(VERSION 2.6.3)
+project(s3d C CXX)
+set(VERSION 0.2.2.1)
+
+cmake_minimum_required(VERSION 3.9)
 
 # set cmake policies
-if(COMMAND cmake_policy)
-	cmake_policy(SET CMP0003 NEW)
-endif(COMMAND cmake_policy)
+cmake_policy(SET CMP0003 NEW)
+cmake_policy(SET CMP0072 NEW)
+
 
 # Add directory with library checks to search path
 list(APPEND CMAKE_MODULE_PATH "${s3d_SOURCE_DIR}/cmake/modules")

=== Documentation/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 add_subdirectory(libs3d)
 add_subdirectory(libs3dw)
 add_subdirectory(server)

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 add_subdirectory(dot_mcp)
 add_subdirectory(kism3d)
 add_subdirectory(meshs3d)

=== cmake/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>

add_subdirectory(modules)

=== example/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>

# add option for enabling/disabling profiling
option(EXAMPLES "Enable/disable compilation of examples" ON)

if (EXAMPLES)
	include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)

	add_executable(filebrowser filebrowser.c)
	target_link_libraries(filebrowser s3d ${MATH_LIBRARIES})

	add_executable(hudtest hudtest.c)
	target_link_libraries(hudtest s3d ${MATH_LIBRARIES})

	add_executable(katze katze.c)
	target_link_libraries(katze s3d ${MATH_LIBRARIES})

	add_executable(linetest linetest.c)
	target_link_libraries(linetest s3d ${MATH_LIBRARIES})

	add_executable(modelloader modelloader.c)
	target_link_libraries(modelloader s3d ${MATH_LIBRARIES})

	add_executable(nichtsnutz nichtsnutz.c)
	target_link_libraries(nichtsnutz s3d ${MATH_LIBRARIES})

	add_executable(ptrtest ptrtest.c)
	target_link_libraries(ptrtest s3d ${MATH_LIBRARIES})

	add_executable(radius_test radius_test.c)
	target_link_libraries(radius_test s3d ${MATH_LIBRARIES})

	add_executable(s3dclock s3dclock.c)
	target_link_libraries(s3dclock s3d ${MATH_LIBRARIES})

	add_executable(snowman snowman.c)
	target_link_libraries(snowman s3d ${MATH_LIBRARIES})

	add_executable(strtest strtest.c)
	target_link_libraries(strtest s3d ${MATH_LIBRARIES})

	add_executable(texturetest texturetest.c)
	target_link_libraries(texturetest s3d ${MATH_LIBRARIES})

	add_executable(widgets widgets.c)
	target_link_libraries(widgets s3d s3dw ${MATH_LIBRARIES})

	add_executable(wiresphere wiresphere.c)
	target_link_libraries(wiresphere s3d ${MATH_LIBRARIES})
endif (EXAMPLES)

=== libs3d/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,24 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 include_directories(${s3d_SOURCE_DIR}/server)
 
 set(S3D_LIBRARY_DEPENDENCIES  ${MATH_LIBRARIES} ${G3D_LIBRARIES} ${FONTCONFIG_LIBRARIES} ${FREETYPE_LIBRARIES})
 
 include(FilterPIE)
-s3d_add_library(s3d SHARED callback.c endian.c error.c event.c fontselect.c
+add_library(s3d SHARED callback.c endian.c error.c event.c fontselect.c
 	freetype.c io.c modelread.c network.c object_queue.c proto_in.c
 	proto_out.c sei_construct.c sei_misc.c sei_monotone.c sei_tri.c shm.c
 	shm_ringbuf.c tcp.c vector.c hash.c texture.c)
 target_link_libraries(s3d ${S3D_LIBRARY_DEPENDENCIES})
 set_target_properties(s3d PROPERTIES VERSION ${VERSION} SOVERSION 2
                       LINK_INTERFACE_LIBRARIES "")
+
+include(${CMAKE_ROOT}/Modules/TestCXXAcceptsFlag.cmake)
+check_cxx_accepts_flag("-Wl,--version-script=${s3d_SOURCE_DIR}/libs3d/libs3d.ver" HAVE_LIBS3D_VERSIONSCRIPT)
+if (HAVE_LIBS3D_VERSIONSCRIPT)
+set_target_properties(s3d PROPERTIES LINK_FLAGS "-Wl,--version-script=${s3d_SOURCE_DIR}/libs3d/libs3d.ver")
+endif (HAVE_LIBS3D_VERSIONSCRIPT)
 
 # install
 install(TARGETS s3d

=== libs3dw/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,22 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 include_directories(${s3d_SOURCE_DIR}/libs3d ${s3d_SOURCE_DIR}/libs3dw)
 
 set(S3DW_LIBRARY_DEPENDENCIES s3d ${MATH_LIBRARIES})
 
 include(FilterPIE)
-s3d_add_library(s3dw SHARED animate.c arrange.c button.c event.c input.c
+add_library(s3dw SHARED animate.c arrange.c button.c event.c input.c
 	label.c root.c scrollbar.c style.c surface.c textbox.c widget.c)
 target_link_libraries(s3dw ${S3DW_LIBRARY_DEPENDENCIES})
 set_target_properties(s3dw PROPERTIES VERSION ${VERSION} SOVERSION 2
                       LINK_INTERFACE_LIBRARIES "")
+
+include(${CMAKE_ROOT}/Modules/TestCXXAcceptsFlag.cmake)
+check_cxx_accepts_flag("-Wl,--version-script=${s3d_SOURCE_DIR}/libs3dw/libs3dw.ver" HAVE_LIBS3DW_VERSIONSCRIPT)
+if (HAVE_LIBS3DW_VERSIONSCRIPT)
+set_target_properties(s3dw PROPERTIES LINK_FLAGS "-Wl,--version-script=${s3d_SOURCE_DIR}/libs3dw/libs3dw.ver")
+endif (HAVE_LIBS3DW_VERSIONSCRIPT)
 
 # install
 install(TARGETS s3dw

=== objs/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 set(s3d-objs abs2.3ds abs.3ds accesspoint.3ds accesspoint_inet.3ds arrow2.3ds
 	arrow.3ds big_p.3ds bigsphere.3ds btn_close.3ds btn_maximize.3ds
 	btn_minimize.3ds btn_rotate.3ds clock_bg.3ds comp.3ds cube.3ds cubey.3ds
@@ -5,7 +8,7 @@
 	geometry.3ds go_button.3ds internet.3ds katze_body.3ds katze_leg.3ds
 	katze_tail.3ds lil_p.3ds materials.3ds meshnode.3ds miu.3ds
 	new_sphere.3ds notes.3ds reset.3ds ringsystem.3ds rotate.3ds
-	s3d_berlios_de.3ds s3dstart.3ds sec_p.3ds snow_body.3ds snow_foot.3ds
+	s3d_sf_net.3ds s3dstart.3ds sec_p.3ds snow_body.3ds snow_foot.3ds
 	snow_head.3ds sphere.3ds spikeybla.3ds star.3ds weirdball.3ds
 	wtf.3ds xyz.3ds)

=== server/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 include_directories(${s3d_SOURCE_DIR}/libs3d)
 
 # base files
@@ -9,15 +12,20 @@
 set(server_sdl_src graphics_sdl.c user_sdl.c)
 
 # add sdl files and libs
+if (SDL2_FOUND)
+	list(APPEND server_src ${server_sdl_src})
+	list(APPEND server_libs ${SDL2_LIBRARY})
+endif (SDL2_FOUND)
+
 if (SDL_FOUND)
 	list(APPEND server_src ${server_sdl_src})
 	list(APPEND server_libs ${SDL_LIBRARY})
 endif (SDL_FOUND)
 
 # compile base files + sdl specific parts
-s3d_add_executable(server ${server_src})
+add_executable(server ${server_src})
 
-target_link_libraries(server ${OPENGL_gl_LIBRARY} ${MATH_LIBRARIES} ${server_libs})
+target_link_libraries(server OpenGL::OpenGL ${MATH_LIBRARIES} ${server_libs})
 set_target_properties(server PROPERTIES OUTPUT_NAME "s3d")
 
 # install

=== Documentation/libs3d/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>

=== Documentation/manpages/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 file(GLOB man1 "${Documentation_SOURCE_DIR}/manpages/man1/*.1")
 install(FILES ${man1} DESTINATION "${MAN_INSTALL_DIR}/man1")
 file(GLOB man3 "${Documentation_SOURCE_DIR}/manpages/man3/*.3")

=== apps/dot_mcp/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>

project(dot_mcp C)

include_directories(${s3d_SOURCE_DIR}/libs3d)

add_executable(dot_mcp main.c menu.c)
target_link_libraries(dot_mcp s3d ${MATH_LIBRARIES})

# install
install(TARGETS dot_mcp RUNTIME DESTINATION "${BIN_INSTALL_DIR}")

=== debian/changelog ===
s3d (0.2.2.1-2) unstable; urgency=medium

  * debian/patches:
    - Add cmake-Switch-to-external-SDL2-configuration-file.patch,
      Switch to external SDL2 configuration file (Closes: #951929)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Feb 2020 09:41:00 +0100

s3d (0.2.2.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.5.0, no changes required
    - Switch to SDL2 and glvn dispatcher
    - depend on cmake 3.9
  * debian/copyright:
    - Update copyright information for 0.2.2.1 release
  * debian/patches:
    - Drop upstream merged
      Add-support-for-TT-instead-of-HNA.patch,
      Add-support-for-libgps-API-5.patch, Fix-FTBFS-glibc2.30.patch,
      Update-author-addresses.patch, s3dosm-Add-support-for-libgps-API-7.patch,
      s3dosm-Add-support-for-libgps-API-9.patch,
      s3dosm-Only-print-STATUS_DGPS_FIX-status-when-it-is-defin.patch,
      s3dvt-Fail-fork-when-setuid-or-setgid-fail.patch
  * debian/*.symbols:
    - Use versioned symbols

 -- Sven Eckelmann <sven@narfation.org>  Sun, 26 Jan 2020 11:04:40 +0100

s3d (0.2.2-20) unstable; urgency=medium

  [ Sven Eckelmann ]
  * debian/control:
    - Upgraded to policy 4.4.1, no changes required
    - Switch debhelper dependency to debhelper-compat
    - Allow build without (fake)root
    - Move repository to from ecsv-guest to ecsv salsa user
  * debian/copyright
    - Update copyright years to 2020
  * debian/patches:
    - Add s3dosm-Add-support-for-libgps-API-9.patch, Add support for
      timespec_t in libgps API 9

  [ Christian Ehrhardt ]
  * d/p/Fix-FTBFS-glibc2.30.patch: avoid issues with stropts/isastream in
    glibc >=2.30 (LP: #1855995)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 15 Jan 2020 21:24:30 +0100

s3d (0.2.2-19) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:41:02 +0200

s3d (0.2.2-18) experimental; urgency=medium

  * debian/control:
    - Automatically select correct Vcs-Git branch
  * debian/patches:
    - Add s3dosm-Add-support-for-libgps-API-7.patch, Add support for
      libgps API 7 (Closes: #926519)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Apr 2019 16:15:25 +0200

s3d (0.2.2-17) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:11 +0100

s3d (0.2.2-16) unstable; urgency=medium

  * debian/control:
    - Add Multi-Arch tags to packages without maintainer scripts and equal
      common files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 20 Oct 2018 07:35:49 +0200

s3d (0.2.2-15) unstable; urgency=medium

  * Override the lintian warning about missing upstream changelog
  * Override the lintian warning about unfortified functions
  * debian/patches:
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * Change debian URLs to https://
  * debian/upstream/signing-key.asc
    - Import new upstream RSA 4096 key 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/control:
    - update to debhelper 10
    - Change Vcs-Git and Vcs-Browser to salsa.debian.org
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch
  * debian/watch:
    - Work around incorrect s3d-doc match due to unexpected
      https://qa.debian.org/watch/sf.php/s3d/ file listing

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:06:06 +0200

s3d (0.2.2-14) unstable; urgency=medium

  * debian/control, debian/rules:
    - Drop s3d-dbg in favor of -dbgsym package
  * debian/patches:
    - Add Documentation-Force-xmlto-encoding-to-UTF-8.patch,
      Force xmlto encoding to UTF-8

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Dec 2015 22:27:05 +0100

s3d (0.2.2-13) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Nov 2015 11:56:18 +0100

s3d (0.2.2-12) experimental; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add s3dosm-Only-print-STATUS_DGPS_FIX-status-when-it-is-defin.patch,
      s3dosm: Only print STATUS_DGPS_FIX status when it is defined

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Nov 2015 11:51:01 +0100

s3d (0.2.2-11) experimental; urgency=medium

  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/patches:
    - Update setuidgid_fail.patch, Add missing CVE Co-Author Ismael Ripoll
      <iripoll@disca.upv.es>, Add missing setuid/setgid check in second
      function (CVE-2014-1226)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Mar 2015 20:28:22 +0100

s3d (0.2.2-10) unstable; urgency=medium

  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/patches:
    - Extend DEP-3 information in patches
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:05:39 +0200

s3d (0.2.2-9) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control
  * debian/watch:
    - Verify new upstream versions using GPG key 96E5AF383F7C593B6B16
      and 2FE5EC371482956781AF
  * Update e-mail address of Simon Wunderlich
  * debian/copyright:
    - Update e-mail address of Marek Lindner
    - Update e-mail address of Andreas Langer
  * debian/copyright:
    - Add email_addresses.patch, Update author addresses
  * debian/patches:
    - Add setuidgid_fail.patch, Fail fork when setuid or setgid fail

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 Nov 2013 22:48:25 +0100

=== debian/control ===
Source: s3d
Section: net
Priority: optional
Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://s3d.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ecsv/s3d.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/ecsv/s3d
Build-Depends:
 cmake (>= 3.9),
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libfontconfig-dev,
 libfreetype6-dev,
 libg3d-dev (>= 0.0.7),
 libopengl-dev,
 libglib2.0-dev,
 libgps-dev (>= 2.90),
 libsdl2-dev,
 libsqlite3-dev,
 libxml2-dev,
 libxtst-dev,
 pkg-config,
Build-Depends-Indep:
 docbook-xml (>= 4.5),
 xmlto,

Package: dotmcp
Architecture: any
Depends:
 libg3d-plugins,
 s3d-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 meshs3d (= ${binary:Version}),
 s3dfm (= ${binary:Version}),
 s3dvt (= ${binary:Version}),
 s3dx11gate (= ${binary:Version}),
Description: mcp for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a mcp for s3d.

Package: kism3d
Architecture: any
Depends:
 libg3d-plugins,
 s3d-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: 802.11 visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 802.11 visualizer for s3d.

Package: libs3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libs3d2 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Suggests:
 libfontconfig-dev,
 libfreetype6-dev,
 libg3d-dev,
Description: 3d network display server library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for building your own s3d programs.

Package: libs3d2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the library for communication with the display server.

Package: libs3dw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libs3d-dev (= ${binary:Version}),
 libs3dw2 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Description: 3d network display server widget library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for using widgets in your s3d programs.

Package: libs3dw2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server widget library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the widget library.

Package: meshs3d
Architecture: any
Depends:
 libg3d-plugins,
 s3d-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OLSR/B.A.T.M.A.N. topology visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a OLSR/B.A.T.M.A.N. topology visualizer for s3d.

Package: s3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dotmcp (= ${binary:Version}),
Description: 3d network display server
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the display server.

Package: s3d-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: 3d network display server data files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains arch-independent files.

Package: s3d-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Documentation for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides documentation for s3d.

Package: s3dfm
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: s3d file manager
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a file manager for s3d.

Package: s3dosm
Section: utils
Architecture: any
Depends:
 libg3d-plugins,
 s3d-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: gps card application for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a gps card application for s3d.

Package: s3dvt
Section: utils
Architecture: any
Depends:
 bash (>= 2.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d terminal emulator for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d terminal emulator for s3d.

Package: s3dx11gate
Section: x11
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d gateway for x11 desktops
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d gateway for x11 desktops.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKE_EXTRA_FLAGS := -DBUILD_EXPERIMENTAL:BOOL=OFF
CMAKE_EXTRA_FLAGS += -DBUILD_LTO:BOOL=ON
CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DLIB_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/"
CMAKE_EXTRA_FLAGS += -DPKGCFG_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_installdocs:
	dh_installdocs -A README Documentation/RelNotes*

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_configure override_dh_installdocs

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://sf.net/s3d/s3d-(\d.*).tar.gz
